at.chipkarte.client.elgaad.soap

## Class Kontaktbestaetigung

- Object
- - at.chipkarte.client.elgaad.soap.Kontaktbestaetigung

-     public class Kontaktbestaetigung
      extends Object

  Daten einer Kontaktbestätigung.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Kontaktbestaetigung()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBestaetigungsart()` Art der Bestätigung.
    `String` | `getBestaetigungsstatus()` Status der Kontaktbestätigung.
    `String` | `getBestaetigungstyp()` Typ der Kontaktbestätigung.
    `String` | `getBpkGh()` bPK-GH des Patienten zu dem der Kontakt eingemeldet wurde.
    `String` | `getGdaId()` GDA-ID des behandelnden GDAs (einmeldender GDA beziehungsweise bei delegierten Kontaktbestätigungen der GDA zu dem die Kontaktbestätigung delegiert wurde).
    `String` | `getGdaIdDelegierend()` ID des GDAs der den Kontakt delegiert hat.
    `String` | `getId()` ID der Kontaktbstätigung.
    `String` | `getKontaktzeitpunkt()` Zeitpunkt des Behandlungskontakts.
    `void` | `setBestaetigungsart(String bestaetigungsart)`
    `void` | `setBestaetigungsstatus(String bestaetigungsstatus)`
    `void` | `setBestaetigungstyp(String bestaetigungstyp)`
    `void` | `setBpkGh(String bpkGh)`
    `void` | `setGdaId(String gdaId)`
    `void` | `setGdaIdDelegierend(String delegatingGdaId)`
    `void` | `setId(String id)`
    `void` | `setKontaktzeitpunkt(String kontaktzeitpunkt)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Kontaktbestaetigung

          public Kontaktbestaetigung()

  - ### Method Detail

    - #### getId

          public String getId()

      ID der Kontaktbstätigung.
      Angabe: Muss
      Format: max. 255 stellig (alphanumerisch).
      Returns:
        ID

    - #### setId

          public void setId(String id)

    - #### getBestaetigungsart

          public String getBestaetigungsart()

      Art der Bestätigung.
      Angabe: Muss
      Mögliche Werte: `BestaetigungsartConstants`
      Returns:
        Bestätigunsgart

    - #### setBestaetigungsart

          public void setBestaetigungsart(String bestaetigungsart)

    - #### getGdaId

          public String getGdaId()

      GDA-ID des behandelnden GDAs (einmeldender GDA beziehungsweise bei delegierten Kontaktbestätigungen der GDA zu dem die Kontaktbestätigung delegiert wurde).
      Angabe: Muss
      Format: max. 255 stellig (alphanumerisch).
      Returns:
        GDA-ID

    - #### setGdaId

          public void setGdaId(String gdaId)

    - #### getKontaktzeitpunkt

          public String getKontaktzeitpunkt()

      Zeitpunkt des Behandlungskontakts.
      Angabe: Muss
      Format: 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        Kontaktzeitpunkt

    - #### setKontaktzeitpunkt

          public void setKontaktzeitpunkt(String kontaktzeitpunkt)

    - #### getBestaetigungstyp

          public String getBestaetigungstyp()

      Typ der Kontaktbestätigung.
      Angabe: Muss
      Mögliche Werte: `BestaetigungstypConstants`
      Returns:
        Bestätigungstyp

    - #### setBestaetigungstyp

          public void setBestaetigungstyp(String bestaetigungstyp)

    - #### getBestaetigungsstatus

          public String getBestaetigungsstatus()

      Status der Kontaktbestätigung.
      Angabe: Muss
      Format: Mögliche Werte: `BestaetigungsstatusConstants`
      Returns:
        Status

    - #### setBestaetigungsstatus

          public void setBestaetigungsstatus(String bestaetigungsstatus)

    - #### getGdaIdDelegierend

          public String getGdaIdDelegierend()

      ID des GDAs der den Kontakt delegiert hat.
      Angabe: Kann. Nur befüllt wenn es sich um einen delegierten Kontakt handelt.
      Format: max. 255 stellig (alphanumerisch).
      Returns:
        GDA-ID

    - #### setGdaIdDelegierend

          public void setGdaIdDelegierend(String delegatingGdaId)

    - #### getBpkGh

          public String getBpkGh()

      bPK-GH des Patienten zu dem der Kontakt eingemeldet wurde.
      Angabe: Muss
      Format: max. 255 stellig (alphanumerisch).
      Returns:
        bPK-GH

    - #### setBpkGh

          public void setBpkGh(String bpkGh)